Bug 1672308 - Avoid unnecessary DHCPD restarts by NetworkManager on certain UP events w.r.t. bug #565921
Summary: Avoid unnecessary DHCPD restarts by NetworkManager on certain UP events w.r.t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dhcp
Version: 7.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Pavel Zhukov
QA Contact: Robin Hack
URL:
Whiteboard:
: 1420135 (view as bug list)
Depends On:
Blocks: 1685560
TreeView+ depends on / blocked
 
Reported: 2019-02-04 14:06 UTC by Ravindra Patil
Modified: 2019-10-03 19:55 UTC (History)
11 users (show)

Fixed In Version: dhcp-4.2.5-75.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1685560 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:40:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2060 None None None 2019-08-06 12:40:26 UTC

Description Ravindra Patil 2019-02-04 14:06:43 UTC
Description of problem:

The dhcpd.service unit will be restarted regardless of the dependencies specified in the dhcpd.service systemd unit file. This causes the dhcpd service to start way too early in the servers boot process. If you could already fix that, e.g. with a check if the dhcpd.service unit has already been started, it would already solve a lot of problems.

The dhcpd service does not respect the dependencies specified in unit file. This should start after network connections are up. But instead dhcpd service is started earlier even before network connections are up. 

WORKAROUND AS SUGGESTED IN #565921

>> Write a script to restart dhcpd service for 'up' event for each of the interfaces on the system. This works in small environment where DHCP leases are less. 

But when DHCP leases are in thousand with primary and failover pairs, restarting dhcpd service for every interfaces results in 15-20 minutes of downtime. 

Is there a way to avoid this restart of the service for each interface up event. 

This is specific request for this particular environment. The work around did not help in this environment as it results in longer downtime and dhcpd service is frequently restarted. 

Version-Release number of selected component (if applicable):
dhcp-4.2.5-68.el7_5.1.x86_64 

How reproducible:


Steps to Reproduce:
1. Use the patch provided in #565921 by adding it under /etc/NetworkManager/dispatcher.d
2. Reboot the system
3.

Actual results:
System reboot would take longer time around 15-20 minutes as DHCP leases are in thousands

Expected results:
System reboot should happen quickly and dhcp should take care of the dependencies as specified in unit file. 

Additional info:
> Workaround in #565921 not helpful 
> DHCP unit file does not respect the dependencies specified.

Comment 18 Pavel Zhukov 2019-03-13 11:42:25 UTC
*** Bug 1420135 has been marked as a duplicate of this bug. ***

Comment 26 errata-xmlrpc 2019-08-06 12:40:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2060

Comment 27 Michael Chinn 2019-10-03 19:55:05 UTC
The change to install /etc/NetworkManager/dispatcher.d/12-dhcpd with 0644 permissions produces repeated nm-dispatcher warnings:

Oct  3 12:50:27 localhost nm-dispatcher: find-scripts: Cannot execute '/etc/NetworkManager/dispatcher.d/12-dhcpd': not executable by owner.


Note You need to log in before you can comment on or make changes to this bug.